View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022585PatchesIDEpublic2012-08-06 12:002012-08-11 14:51
ReporterAnton 
Assigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.1 (SVN)Product Build 
Target VersionFixed in Version 
Summary0022585: [patch] Local var completion bug (incorrect using of alias type)
DescriptionTo reproduce:

begin
  |b:=1>3; // Ctrl+Shift+C => b:Boolean;
end;

but

var i: Integer;
begin
  |b:=i>3; // Ctrl+Shift+C => b:Integer; !!!
end;
TagsNo tags attached.
Fixed in Revision38195
LazTarget-
Widgetset
Attached Filespatch file icon finddeclarationtool.patch [^] (603 bytes) 2012-08-06 12:00 [Show Content]

- Relationships

-  Notes
(0061462)
Mattias Gaertner (manager)
2012-08-07 09:44

Alias types are not yet implemented for operators.

- Issue History
Date Modified Username Field Change
2012-08-06 12:00 Anton New Issue
2012-08-06 12:00 Anton File Added: finddeclarationtool.patch
2012-08-07 00:10 Mattias Gaertner Status new => assigned
2012-08-07 00:10 Mattias Gaertner Assigned To => Mattias Gaertner
2012-08-07 09:44 Mattias Gaertner Fixed in Revision => 38195
2012-08-07 09:44 Mattias Gaertner LazTarget => -
2012-08-07 09:44 Mattias Gaertner Note Added: 0061462
2012-08-07 09:44 Mattias Gaertner Status assigned => resolved
2012-08-07 09:44 Mattias Gaertner Resolution open => fixed
2012-08-11 14:51 Anton Status resolved => closed



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker